### Function

# FwupdPlugin efi_parse_sections

#### Declaration [src]

    gboolean
    fu_efi_parse_sections (
      FuFirmware* firmware,
      GInputStream* stream,
      gsize offset,
      guint64 flags,
      GError** error
    )

#### Description [src]

Parses a UEFI section.

Available since: | 2.0.0

#### Parameters

`firmware` | `FuFirmware`
| `FuFirmware`.
| The data is owned by the caller of the function.
`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`offset` | `gsize`
| No description available.
`flags` | `guint64`
| `FuFirmwareParseFlags`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.